Subject: bug#8615: Please make sure v q removes the buffer for JPGs just like it does for other files

From: Juri Linkov <[email-masked]>
Date: Tue, 22 Nov 2011 18:27:34 +0200

> JL> Like jidanni, I used to type `v q SPC v q SPC v q SPC' to browse files in Dired.
> JL> Now when images and archives are viewed with `v', keybindings overridden
> JL> by view.el are useless (except `q'), so functionality of these modes is broken.
>
> JL> It's a pain to be careful of using the right key for different kind of files:
> JL> to type `RET' to view images and archives, or to type `v' to view other files.
>
> No need, everything seems to be working fine now with emacs -q in
> Package: emacs-snapshot Version: 1:20111121-1

Do you view images with `v q SPC v q SPC'?  When viewing images with
`v', image-mode is broken because image viewing keybindings are rebound
to functions of view.el.

Perhaps you visit only small images that fit into the screen,
so you don't need to use image-mode keys other than `q'.
But when images are larger and you need to scroll them, you are screwed.

> The only things left in the *Buffer List* after lots of v q SPC v q SPC
> are directories... but I guess there is some reason to keep them laying around?

I have the same problem with directories, so I have in .emacs:

  (defun quit-window-kill-buffer ()
    "Quit WINDOW and kill its buffer."
    (interactive)
    (quit-window t))
  (define-key dired-mode-map "q" 'quit-window-kill-buffer)